Package org.kie.internal.runtime.conf

## Class NamedObjectModel

- java.lang.Object
- - org.kie.internal.runtime.conf.ObjectModel
  - - org.kie.internal.runtime.conf.NamedObjectModel

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `TransientNamedObjectModel`

      public class NamedObjectModel
      extends ObjectModel

  Extension of `ObjectModel` that provides unique name for the object model
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NamedObjectModel()` |
    `NamedObjectModel​(java.lang.String name, java.lang.String classname, java.lang.Object... parameters)` |
    `NamedObjectModel​(java.lang.String resolver, java.lang.String name, java.lang.String classname, java.lang.Object... parameters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getName()` |
    `int` | `hashCode()` |
    `void` | `setName​(java.lang.String name)` |

    - ### Methods inherited from class org.kie.internal.runtime.conf.ObjectModel

      `addParameter, getIdentifier, getParameters, getResolver, setIdentifier, setParameters, setResolver, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NamedObjectModel

          public NamedObjectModel()

    - #### NamedObjectModel

          public NamedObjectModel​(java.lang.String resolver,
                                  java.lang.String name,
                                  java.lang.String classname,
                                  java.lang.Object... parameters)

    - #### NamedObjectModel

          public NamedObjectModel​(java.lang.String name,
                                  java.lang.String classname,
                                  java.lang.Object... parameters)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ObjectModel`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ObjectModel`